Package org.eclipse.graphiti.tb

# Interface IContextMenuEntry

All Superinterfaces:
  `IContextEntry`

All Known Implementing Classes:
  `ContextMenuEntry`, `DynamicContextMenuEntry`

public interface IContextMenuEntry extends IContextEntry
The Interface IContextMenuEntry.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IContextMenuEntry entry)`
Adds the.
`IContextMenuEntry[]`
`getChildren()`
Gets the children.
`boolean`
`isSubmenu()`
Checks if is submenu.

### Methods inherited from interface org.eclipse.graphiti.tb.IContextEntry

`canExecute, execute, getContext, getDescription, getFeature, getIconId, getText, setDescription, setIconId, setText`

## Method Details

### getChildren

IContextMenuEntry[] getChildren()
Gets the children.

Returns:
  the children

### add

void add(IContextMenuEntry entry)
Adds the.

Parameters:
  `entry` - the entry

### isSubmenu

boolean isSubmenu()
Checks if is submenu.

Returns:
  true, if is submenu